Bug 984068 - [abrt] cinnamon-1.9.1-12.fc19: INT_cairo_surface_destroy: Process /usr/bin/cinnamon was killed by signal 6 (SIGABRT)
[abrt] cinnamon-1.9.1-12.fc19: INT_cairo_surface_destroy: Process /usr/bin/ci...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: cinnamon (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: leigh scott
Fedora Extras Quality Assurance
abrt_hash:4c833d22024068520ee15003c6f...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-12 12:29 EDT by Brian G. Maddox
Modified: 2015-02-17 11:06 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 11:06:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (61.19 KB, text/plain)
2013-07-12 12:29 EDT, Brian G. Maddox
no flags Details
File: cgroup (140 bytes, text/plain)
2013-07-12 12:29 EDT, Brian G. Maddox
no flags Details
File: core_backtrace (4.01 KB, text/plain)
2013-07-12 12:29 EDT, Brian G. Maddox
no flags Details
File: dso_list (20.04 KB, text/plain)
2013-07-12 12:29 EDT, Brian G. Maddox
no flags Details
File: environ (1.70 KB, text/plain)
2013-07-12 12:29 EDT, Brian G. Maddox
no flags Details
File: limits (1.29 KB, text/plain)
2013-07-12 12:29 EDT, Brian G. Maddox
no flags Details
File: maps (87.54 KB, text/plain)
2013-07-12 12:29 EDT, Brian G. Maddox
no flags Details
File: open_fds (4.20 KB, text/plain)
2013-07-12 12:29 EDT, Brian G. Maddox
no flags Details
File: proc_pid_status (938 bytes, text/plain)
2013-07-12 12:30 EDT, Brian G. Maddox
no flags Details
File: var_log_messages (8.31 KB, text/plain)
2013-07-12 12:30 EDT, Brian G. Maddox
no flags Details

  None (edit)
Description Brian G. Maddox 2013-07-12 12:29:32 EDT
Description of problem:
So far was a random occurance so reporting it since I just did a fresh install of Fedora 19 and installed Cinnamon.

Version-Release number of selected component:
cinnamon-1.9.1-12.fc19

Additional info:
reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        cinnamon --replace
crash_function: INT_cairo_surface_destroy
executable:     /usr/bin/cinnamon
kernel:         3.9.9-301.fc19.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #4 INT_cairo_surface_destroy at cairo-surface.c:930
 #5 _get_image_surface at cairo-xlib-surface.c:1013
 #6 _cairo_xlib_surface_acquire_source_image at cairo-xlib-surface.c:1402
 #7 _cairo_surface_acquire_source_image at cairo-surface.c:1880
 #8 _pixman_image_for_surface at cairo-image-source.c:963
 #9 _pixman_image_for_pattern at cairo-image-source.c:1124
 #10 _cairo_image_source_create_for_pattern at cairo-image-source.c:1169
 #11 composite_aligned_boxes at cairo-spans-compositor.c:664
 #12 clip_and_composite_boxes at cairo-spans-compositor.c:868
 #14 _cairo_spans_compositor_paint at cairo-spans-compositor.c:969
Comment 1 Brian G. Maddox 2013-07-12 12:29:37 EDT
Created attachment 772809 [details]
File: backtrace
Comment 2 Brian G. Maddox 2013-07-12 12:29:40 EDT
Created attachment 772810 [details]
File: cgroup
Comment 3 Brian G. Maddox 2013-07-12 12:29:43 EDT
Created attachment 772811 [details]
File: core_backtrace
Comment 4 Brian G. Maddox 2013-07-12 12:29:46 EDT
Created attachment 772812 [details]
File: dso_list
Comment 5 Brian G. Maddox 2013-07-12 12:29:49 EDT
Created attachment 772813 [details]
File: environ
Comment 6 Brian G. Maddox 2013-07-12 12:29:51 EDT
Created attachment 772814 [details]
File: limits
Comment 7 Brian G. Maddox 2013-07-12 12:29:54 EDT
Created attachment 772815 [details]
File: maps
Comment 8 Brian G. Maddox 2013-07-12 12:29:57 EDT
Created attachment 772816 [details]
File: open_fds
Comment 9 Brian G. Maddox 2013-07-12 12:30:00 EDT
Created attachment 772817 [details]
File: proc_pid_status
Comment 10 Brian G. Maddox 2013-07-12 12:30:03 EDT
Created attachment 772818 [details]
File: var_log_messages
Comment 11 leigh scott 2013-07-12 12:38:17 EDT
Can you run this to see if you have any missing packages.

yum install @Cinnamon
Comment 12 Brian G. Maddox 2013-07-12 12:40:19 EDT
Just wants to upgrade to 1.9.1-15.fc19 which this morning stopped Cinnamon from starting at all so I had to yum downgrade to -12  for now.
Comment 13 Fedora End Of Life 2015-01-09 13:52:55 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 14 Fedora End Of Life 2015-02-17 11:06:47 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.